%define name linux-helper
%define	version	1.2
%define release	%mkrel 1

Summary: Linux Helper - GUI tool to manage linux
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Hardware
URL: http://code.google.com/p/linux-helper/
Source: http://linux-helper.googlecode.com/files/%{name}-%{version}.tar.bz2
Source1:   lang_patch.tar.gz
Patch:     linux-helper-1.2-glade.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgtkmm2.4_1-devel
BuildRequires: libglademm2.4_1-devel
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:  usermode-consoleonly
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
A GUI tool to manage linux. It can tweak kernel parameters,show network links, 
manage process etc.


%prep
%setup -q -n %{name}
gzip -cd %SOURCE1 | tar xf - -C ./ui
%patch -p1

%build

%make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m644 misc/*.glade %{buildroot}%{_datadir}/%{name}
install -m755 %{name} %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/icon
install -m644 icon/*.png %{buildroot}%{_datadir}/%{name}/icon
mkdir -p %{buildroot}%{_datadir}/applications
install -m755 misc/*.desktop %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m644 misc/linux-helper.pam %{buildroot}%{_sysconfdir}/pam.d/linux-helper
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
install -m644 misc/linux-helper.console.app %{buildroot}%{_sysconfdir}/security/console.apps/linux-helper


mkdir -p %{buildroot}/%{_bindir}
ln -s %{_bindir}/consolehelper %{buildroot}/%{_bindir}/%{name}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="X-Red-Hat-Base" \
  --remove-category="X-Fedora" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}


%postun
%{clean_desktop_database}


%files 
%defattr(-,root,root,-)
%_sysconfdir/security/console.apps/*
%_sysconfdir/pam.d/*
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}

%changelog
* Sun Oct 18 2009 slick50 <lxgator@gmail.com> 1.2-1pclos2010
- initial build

